> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notocat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contacts

> Learn how to retrieve a list of contacts from your newsletter using the Notocat API. This guide covers the GET /contacts endpoint, allowing you to access and manage your subscriber data efficiently.



## OpenAPI

````yaml GET /contacts
openapi: 3.0.1
info:
  title: OpenAPI Contacts
  description: The contacts API allows you to manage your contacts in Notocat.
  version: 1.0.0
servers:
  - url: https://api.notocat.com/v1
security:
  - bearerAuth: []
paths:
  /contacts:
    get:
      description: Returns all contacts associated with a newsletter
      parameters:
        - name: newsletter_id
          in: query
          description: The newsletter ID
          schema:
            type: string
        - name: limit
          in: query
          description: How many contacts per page to return. Default is 100.
          schema:
            type: integer
            format: int64
        - name: page
          in: query
          description: The current page. Default is 1.
          schema:
            type: integer
            format: int64
        - name: email
          in: query
          description: Used to search by email. The search is case-insensitive.
          schema:
            type: string
        - name: subscribed
          in: query
          description: Used to filter by subscription status.
          schema:
            type: boolean
      responses:
        '200':
          description: Contact response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Contact'
                  total:
                    type: integer
                  page:
                    type: integer
                  offset:
                    type: integer
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Contact:
      type: object
      properties:
        id:
          description: The contact ID
          type: string
        workspace_id:
          description: The workspace ID
          type: string
        name:
          description: The name of the contact
          type: string
        first_name:
          description: The first name of the contact
          type: string
        last_name:
          description: The last name of the contact
          type: string
        email:
          description: The email of the contact
          type: string
        subscribed:
          description: Subscription status of the contact
          type: boolean
        unsub_token:
          description: Unsubscribe token for the contact
          type: string
        custom_fields:
          description: Custom fields of the contact
          type: object
        createdAt:
          description: Creation timestamp of the contact
          type: string
          format: date-time
        updatedAt:
          description: Last update timestamp of the contact
          type: string
          format: date-time
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````